curl --location --request PATCH 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments/aaaa1111-bbbb-2222-cccc-333333333333' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"content": "Indemnity is acceptable after the cap change."
}'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments/aaaa1111-bbbb-2222-cccc-333333333333", {
method: "PATCH",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
"content": "Indemnity is acceptable after the cap change."
}),
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments/aaaa1111-bbbb-2222-cccc-333333333333"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
payload = {
"content": "Indemnity is acceptable after the cap change."
}
response = requests.patch(url, headers=headers, json=payload)
print(response.json())
{
"id": "aaaa1111-bbbb-2222-cccc-333333333333",
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"content": "Indemnity is acceptable after the cap change.",
"author": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"parent_comment_id": null,
"mentioned_users": [],
"file_ids": [],
"created_at": "2025-12-31T01:00:00Z",
"updated_at": "2025-12-31T01:03:20Z"
}
Tasks
Update Comment
Edit the content of a comment you authored.
PATCH
/
api
/
v1
/
tasks
/
{task_id}
/
comments
/
{comment_id}
curl --location --request PATCH 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments/aaaa1111-bbbb-2222-cccc-333333333333' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"content": "Indemnity is acceptable after the cap change."
}'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments/aaaa1111-bbbb-2222-cccc-333333333333", {
method: "PATCH",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
"content": "Indemnity is acceptable after the cap change."
}),
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments/aaaa1111-bbbb-2222-cccc-333333333333"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
payload = {
"content": "Indemnity is acceptable after the cap change."
}
response = requests.patch(url, headers=headers, json=payload)
print(response.json())
{
"id": "aaaa1111-bbbb-2222-cccc-333333333333",
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"content": "Indemnity is acceptable after the cap change.",
"author": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"parent_comment_id": null,
"mentioned_users": [],
"file_ids": [],
"created_at": "2025-12-31T01:00:00Z",
"updated_at": "2025-12-31T01:03:20Z"
}
Edit the content of a comment you authored.
Body parameters
string
required
The replacement comment body.
curl --location --request PATCH 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments/aaaa1111-bbbb-2222-cccc-333333333333' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"content": "Indemnity is acceptable after the cap change."
}'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments/aaaa1111-bbbb-2222-cccc-333333333333", {
method: "PATCH",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
"content": "Indemnity is acceptable after the cap change."
}),
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments/aaaa1111-bbbb-2222-cccc-333333333333"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
payload = {
"content": "Indemnity is acceptable after the cap change."
}
response = requests.patch(url, headers=headers, json=payload)
print(response.json())
{
"id": "aaaa1111-bbbb-2222-cccc-333333333333",
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"content": "Indemnity is acceptable after the cap change.",
"author": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"parent_comment_id": null,
"mentioned_users": [],
"file_ids": [],
"created_at": "2025-12-31T01:00:00Z",
"updated_at": "2025-12-31T01:03:20Z"
}
⌘I